## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# ExecutionContext Class Reference

Inheritance diagram for ExecutionContext:

[legend]
List of all members.

## Public Member Functions

- ExecutionContext (MemoryManagerType &m_memoryManager)
- virtual ~ExecutionContext ()
- virtual void error (const XalanDOMString &msg, const XalanNode *sourceNode=0, const LocatorType *locator=0) const=0
    Report an error and throw an exception.
- virtual void warn (const XalanDOMString &msg, const XalanNode *sourceNode=0, const LocatorType *locator=0) const=0
    Report a warning.
- virtual void message (const XalanDOMString &msg, const XalanNode *sourceNode=0, const LocatorType *locator=0) const=0
    Output a message.
- MemoryManagerType & getMemoryManager ()

## Protected Attributes

- MemoryManagerType & m_memoryManager

## Constructor & Destructor Documentation

ExecutionContext::ExecutionContext | ( | MemoryManagerType & | m_memoryManager | ) | `[explicit]`

virtual ExecutionContext::~ExecutionContext | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void ExecutionContext::error | ( | const XalanDOMString & | msg,
|  | const XalanNode * | sourceNode = 0,
|  | const LocatorType * | locator = 0
| ) | const`[pure virtual]`

  | Report an error and throw an exception. Parameters:
  msg | The text of the message.
  sourceNode | The source node where the error occurred. May be 0.
  locator | A Locator to determine where the error occurred. May be 0.
Implemented in XPathExecutionContext, XPathExecutionContextDefault, StylesheetExecutionContext, and StylesheetExecutionContextDefault.

MemoryManagerType& ExecutionContext::getMemoryManager | ( |  | ) |

virtual void ExecutionContext::message | ( | const XalanDOMString & | msg,
|  | const XalanNode * | sourceNode = 0,
|  | const LocatorType * | locator = 0
| ) | const`[pure virtual]`

  | Output a message. Parameters:
  msg | The text of the message.
  sourceNode | The source node where the message occurred. May be 0.
  locator | A Locator to determine where the message occurred. May be 0.
Implemented in XPathExecutionContext, XPathExecutionContextDefault, StylesheetExecutionContext, and StylesheetExecutionContextDefault.

virtual void ExecutionContext::warn | ( | const XalanDOMString & | msg,
|  | const XalanNode * | sourceNode = 0,
|  | const LocatorType * | locator = 0
| ) | const`[pure virtual]`

  | Report a warning. Parameters:
  msg | The text of the message.
  sourceNode | The source node where the warning occurred. May be 0.
  locator | A Locator to determine where the warning occurred. May be 0.
Implemented in XPathExecutionContext, XPathExecutionContextDefault, StylesheetExecutionContext, and StylesheetExecutionContextDefault.

## Member Data Documentation

MemoryManagerType& ExecutionContext::m_memoryManager`[protected]`

The documentation for this class was generated from the following file:

- ExecutionContext.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.